@import './messageStyle.scss';
@import './MapThumbs.scss';


$bg: #f4f4f4;
$light_gray: #283443;
$cursor: #283443;

@supports (-webkit-mask: none) and (not (cater-color: $cursor)) {
  .login-container .el-input input {
    color: $cursor;
  }
}

/* reset element-ui css */
$bg: #f4f4f4;
$dark_gray: #889aa4;

.filter-last-activity > span {
  display: inline-block;
  margin: 10px 4px 0 0;
}

.filter-date > span {
    display: inline-block;
    margin: 10px 4px 8px 0;
}

/* login css */
.login-container, .reset-password-container, .verification-container {
  min-height: 100%;
  width: 100%;
  background-color: $bg;
  overflow: hidden;
  .login-form, .reset-password-form {
    position: relative;
    width: 520px;
    max-width: 100%;
    padding: 160px 35px 0;
    margin: 0 auto;
    overflow: hidden;
  }

  .el-input {
    display: inline-block;
    height: 47px;
    width: 85%;

    input {
      background: transparent;
      border: 0px;
      -webkit-appearance: none;
      border-radius: 0px;
      padding: 12px 5px 12px 15px;
      color: $light_gray;
      height: 47px;
      caret-color: $cursor;

      &:-webkit-autofill {
        box-shadow: 0 0 0px 1000px $bg inset !important;
        -webkit-text-fill-color: $cursor !important;
      }
    }
  }

  .el-form-item {
    border: 1px solid rgba(15, 15, 15, 0.2);
    background: rgba(0, 0, 0, 0);
    border-radius: 5px;
    color: #454545;
  }

  img {
    width: 450px;
    margin-bottom: 20px;
  }

  .tips {
    font-size: 14px;
    color: #283443;
    margin-bottom: 10px;

    span {
      &:first-of-type {
        margin-right: 16px;
      }
    }
  }

  .svg-container {
    padding: 6px 5px 6px 15px;
    color: $dark_gray;
    vertical-align: middle;
    width: 30px;
    display: inline-block;
  }

  .title-container {
    position: relative;
    text-align: center;
    .title {
      font-size: 26px;
      color: #283443;
      margin: 0px auto 40px auto;
      text-align: center;
      font-weight: bold;
    }

    .set-language {
      color: #283443;
      position: absolute;
      top: 3px;
      font-size: 18px;
      right: 0px;
      cursor: pointer;
    }

    img {
      width: 450px;
      height: 148px;
    }
  }

  .show-pwd {
    position: absolute;
    right: 10px;
    top: 7px;
    font-size: 16px;
    color: $dark_gray;
    cursor: pointer;
    user-select: none;
  }

  .thirdparty-button {
    position: absolute;
    right: 0;
    bottom: 6px;
  }

  .filter-last-activity > span {
    display: inline-block;
    margin: 10px 4px 0 0;
  }

  @media only screen and (max-width: 470px) {
    .thirdparty-button {
      display: none;
    }
  }
}

/* user css */
.user-form {
  .input-image {
    margin-left:50px;
  }
  img.preview {
      width: 200px;
      background-color: white !important;
      border: 1px solid #DDD;
      padding: 5px;
  }
  .upload-demo {
    margin: 10px auto;
  }
  .grid-content:first-child {
    margin-bottom: 20px;
  }

  p {
    color: #42b983;
    font-weight: 600;
  }

  .el-row {
    margin-left: 0px;
    &:last-child {
      margin-bottom: 0;
    }
  }
  .el-col {
    border-radius: 4px;
  }
  .bg-purple {
    background: #d3dce6;
  }
  .bg-purple-light {
    background: #e5e9f2;
  }
  .grid-content {
    border-radius: 4px;
    min-height: 36px;
  }
  .row-bg {
    padding: 10px 0;
    background-color: #f9fafc;
  }
  .el-upload .avatar-uploader {
    border-radius: 6px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
  }
  .avatar-uploader .el-upload:hover {
    border-color: #409eff;
  }
  .avatar-uploader-icon {
    font-size: 28px;
    color: #8c939d;
    width: 178px;
    height: 178px;
    line-height: 178px;
    text-align: center;
  }
  .avatar {
    width: 178px;
    height: 178px;
    display: block;
  }

}
.app-container {
  padding: 20px 20px;
}

#password {
  .el-row {
    margin-right: 10px;
    &:last-child {
      margin-bottom: 0;
    }
  }
}

.title-top-news {
  width: 320px;
}

.custom-file-upload {
  cursor: pointer;
  background: #FFFFFF;
  border: 1px solid #DCDFE6;
  border-color: #DCDFE6;
  color: #606266;
  -webkit-appearance: none;
  text-align: center;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  outline: none;
  -webkit-transition: .1s;
  transition: .1s;
  font-weight: 400;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  font-size: 14px;
  border-radius: 4px;
  width: 90px;
  display: inline-block;
  padding: 0px 0px;
  margin-bottom: 10px;
}

.import-file {
  display: block;
}

.primary-custome {
  color: white;
  background:#409eff;
  border-color: #409eff;
}

.primary-custome:hover {
  background: #46a6ff;
  border-color: #46a6ff;
  color: #FFFFFF;
}

.file-name {
  margin-left: 10px;
  padding: 7px;
  border-radius: 5px;
}

.file-name:hover {
  background: rgb(241, 243, 245);
  cursor: pointer;

  .remove {
    display: inline;
    margin-left: 50px;
    background:rgb(109, 102, 102);
    color: white;
    border-radius: 100%;
    padding: 0px 4px 1px 4px;
  }
}

.remove {
  display: none;
}

.input-multiple {
  display: none
}

// link for css news important
.link-news-important:link,
.link-news-important:hover,
.link-news-important:visited {
  color: blue;
  text-decoration: underline;
}

// import user
.el-dialog.el-dialog--center.dialog-guide {
  background: transparent;
  box-shadow: none
}

.dialog-guide .el-dialog__footer {
  text-align: center;
}

.dialog-guide .el-card__body {
  border-radius: 0px !important;
}

@media(max-width:1200px) {
  .title-top-news {
    width: 300px;
  }
}

@media(max-width:980px) {
  .filter-last-activity > span {
    display: inline-block;
    margin: 0px 4px 0 0;
  }
  .title-top-news {
    width: 280px;
  }
}

@media(max-width:480px) {
  .title-container {
    img {
      width: 300px;
      margin-bottom: 20px;
    }
  }
  .title-top-news {
    width: 200px;
  }
  .breadcrumb-container {
    display: none !important;
  }
}

@media(max-width:440px) {
  .title-container {
    img {
      width: 340px;
      margin-bottom: 20px;
    }
  }
}

@media(max-width:360px) {
  .title-container {
    img {
      width: 300px;
      margin-bottom: 20px;
    }
  }
}

@media(max-width:320px) {
  .title-container {
    img {
      width: 250px;
      margin-bottom: 20px;
    }
  }
}

@media(max-width: 280px){
  .title-container {
    img {
      width: 120px;
      margin-bottom: 10px;
    }
  }
}
